#version 430
layout(location = 0) in vec3 pos_attrib; //this variable holds the position of mesh vertices
layout(location = 1) in vec2 tex_coord_attrib;
layout(location = 2) in vec3 normal_attrib;  

out vec2 tex_coords;

void main()
{
    gl_Position = vec4(pos_attrib.xy, 0.0, 1.0);
    tex_coords = tex_coord_attrib;
}
